跳转到主要内容
PATCH
/
base
/
{baseId}
/
authority-matrix-role
/
{authorityMatrixRoleId}
/
user
cURL
curl --request PATCH \
  --url https://app.teable.ai/api/base/%7BbaseId%7D/authority-matrix-role/%7BauthorityMatrixRoleId%7D/user \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"userIds":["string"],"departmentIds":["string"]}'
{
  "id": "<string>",
  "authorityMatrixId": "<string>",
  "users": [
    {
      "id": "<string>",
      "name": "<string>",
      "email": "<string>",
      "avatar": "<string>"
    }
  ],
  "departments": [
    {
      "id": "<string>",
      "name": "<string>"
    }
  ]
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

baseId
string
必填
authorityMatrixRoleId
string
必填

请求体

application/json
userIds
string[]
departmentIds
string[]

响应

200 - application/json

Successful response

id
string
必填
authorityMatrixId
string
必填
users
object[]
必填
departments
object[]
必填
Last modified on March 5, 2026